/* ESPAOL.CMD: Instalar MEMSIZE en Espaol. */

/* Load REXXUTIL */
Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs
 
Call SysCls
Say 'Instalacin de MEMSIZE...';
Say '';

Say 'Por favor entree el nombre completo del directorio al cual Ud.';
Say '  quiere que se instale el programa MEMSIZE (de normal C:\OS2\APPS): ';
Pull Directory
If Directory = "" Then Directory='C:\OS2\APPS'

Say 'Quiere Ud. instalarlo para arrancarse automticamente? (S/N)';
Pull YesNo
If YesNo = "S" Then
  Do
  Folder='<WP_START>'
  Say 'El objeto ser puesto al cuaderno para arrancarse al prender al sistema.';
  End
Else
  Do
  Folder='<WP_DESKTOP>'
  Say 'El objeto ser puesto al escritorio.';
  End
 
Say 'Copiando MEMSIZE al directorio ' Directory '...';
Say '';
Language='ESPAOL'
Copy MEMSIZE.EXE Directory
Copy Language".DLL" Directory"\MEMSIZE.DLL"
Copy Language".HLP" Directory"\MEMSIZE.HLP"

Say 'Creando el objeto para el programa...';
Say ''; 

Type='WPProgram'
Title='Recursos'
Parms='MINWIN=DESKTOP;PROGTYPE=PM;EXENAME='Directory'\MEMSIZE.EXE;STARTUPDIR='Directory';OBJECTID=<MEMSIZE>;NOPRINT=YES'

Result=SysCreateObject(Type,Title,Folder,Parms)
 
If Result=1 Then 
  Call charout ,'...   El objeto fue creado.  Fin.'
Else             
  Call charout ,'...   El objeto no fue creado! Estado final='Result

Exit
 