:userdoc.
:title.Ayuda para 'Recursos'
:body.

:h1 res=1.Introducin
:i1.Introducin
:artwork name='memsize.bmp' align=center.
:p.
Este programa muestra varias cosas relacionadas a los recursos del sistema
y los anda corrigiendo una vez por segundo, si es que la procesora tenga
tiempo libre para hacerlo.  Las cosas mostradas son:
:p.
:hp2.Fecha/Hora:ehp2. - La fecha y hora actual, en el formato normal para
su pas, segun la entrada 'COUNTRY=' que se encuentra en el archivo 'CONFIG.SYS'.
:p.
:hp2.Memoria Libre:ehp2. - La cantidad de memoria libre, segun la funcin
':hp1.DosMemAvail:ehp1.'.  Bajo el sistema OS/2, revisin 1.x, esta funcin
supuestamente devolva el tamao del bloque mas grande de memoria libre, aunque algunos
han dicho que con la opcin 'MEMMOVE' activada, es lo mismo que la cantidad total
de memoria libre.  Bajo revisin 2.0, la cantidad verdadera se devuelve, o 512K, lo que
sea mas grande.  Hay una funcin nueva bajo revisin 2.0 que devuelve cuanta memoria hay
en total, cuanto se ocupa por el sistema operativa y cuanto est libre, pero como este
programa tiene que funcionar bajo revisin 1.x, no se puede usar la funcin nueva.
:p.
:hp2.Memoria al disco:ehp2. - El tamao actual del archivo 'SWAPPER.DAT', donde el sistema
pone bloques de memoria temporalmente cuando se llena la memoria fsica.
Para ubicar este archivo, se revisa el archivo 'CONFIG.SYS' para encontrar su entrada
'SWAPPATH='.  Esta entrada provee el nombre completo del directorio donde se pone
'SWAPPER.DAT'.  Tambin indica cunto del disco hay que reservar y no dar al archivo.
:p.
:hp2.Disco libre para memoria:ehp2. - El espacio libre en el disco donde se ubica el
archivo 'SWAPPER.DAT', menos el espacio libre mnimo.  Este es el espacio por el cual
el archivo puede crecer todavia si sea necesaria.
:p.
:hp2.Impresora al disco:ehp2. - La cantidad de espacio del disco que se ocupa por
archivos puestos en cola para imprimirse.
:p.
:hp2.Actividad:ehp2. - La porcentaje aproximada del poder de la procesora que
se est usando actualmente.  Es un promedio por el ltimo segundo.
La actividad normal de mi computadora, una 80286 usando OS/2 1.3, corriendo
a 12MHz con 4.6Mb de memoria, es ocho a diez porciento.  La actividad normal
de mi sistema de trabajo, una 80386 usando OS/2 2.0, corriendo a 20MHz, est
para 20% con 6Mb de memoria, y para 0% con 16Mb de memoria, lo cual me quiere
decir que hay actividad continua relacionada con empacar el archivo donde
se guarda secciones de memoria inactivas.
:note.Esta funcin y el programa 'PULSE', que viene con OS/2 2.0, no se llevan
bien el uno con el otro.
:p.
:hp2.Disco X: libre:ehp2. - La cantidad de disco libre en el mando X.
:p.
La facilidad de ayuda es activo, como ya habr visto, y cuantas funciones
que hay se pueden acesar por medio del menu sistema de la ventana.  Las
funciones siguientes estn en el menu:
:p.:lm margin=10.
:hpt.Guardar Preferencias:ehpt.:hdref res=11.
.br
:hpt.Cancelar Preferencias:ehpt.:hdref res=12.
.br
:hpt.Esconder Controles:ehpt.:hdref res=13.
.br
:hpt.Mostrar Fecha/Hora:ehpt.:hdref res=14.
.br
:hpt.Mostrar Memoria Libre:ehpt.:hdref res=15.
.br
:hpt.Mostrar Memoria puesto al disco:ehpt.:hdref res=16.
.br
:hpt.Mostrar disco libre para memoria:ehpt.:hdref res=17.
.br
:hpt.Mostrar disco tomado por la impresora:ehpt.:hdref res=18.
.br
:hpt.Mostrar actividad:ehpt.:hdref res=19.
.br
:hpt.Mostrar C&colon. libre:ehpt.:hdref res=53.
.br
:hpt.Autor:ehpt.:hdref res=20.
:p.:lm margin=1.
Adems de las funciones ya descritas, este programa acepta instrucciones
de los paletes de letra y de color del OS/2 2.0.

:h1 res=11.Guardar Preferencias (Funcin del Menu)
:i1.Guardar Preferencias (Funcin del Menu)
Cuando uno seleccione a esta funcin del menu, el programa guarda su ubicacin,
tamao, estado de esconder controles, color y tipo de letra actual.
La prxima vez que se arranque el programa, comenzar con los atributos guardados.
:p.
La tecla asignada a esta funcin es F2.

:h1 res=12.Cancelar Prererencias (Funcin del Menu)
:i1.Cancelar Prererencias (Funcin del Menu)
Seleccionar esta funcin del menu cancelar todos los atributos guardados
para el programa.  La prxima vez que se arranque el programa, la har
sin conocimiento de su estado anterior.
:note.Bajo revisin 2.0 del sistema operativo, la funcin de guardar
preferencias se hace automticamente al apagarlo al programa.

:h1 res=13.Esconder Controles (Funcin del Menu)
:i1.Esconder Controles (Funcin del Menu)
Esta funcin, al seleccionarse, causa que los controles normales de la
ventanilla del programa se escondan.  El menu del sistema, el ttulo,
y el botn de minimizar todos se esconden.
Esta funcin se puede usar por oprimir el el botn del ratn dos veces
rpidamente, tocando la ventanilla del programa.
Se puede arrastrar la ventanilla con el ratn aun cuando los controles
estn escondidos.

:h1 res=14.Mostrar Fecha/Hora (Funcin del Menu)
:i1.Mostrar Fecha/Hora (Funcin del Menu)
Cuando esta funcin est marcada, la fecha y la hora actual ser mostrado
por el programa.  Para remover la marca, o volverla a poner, hay que
seleccionar esta funcin del menu.  La ventanilla se cambiar de tamao
automticamente para contener la lista de funciones actualmente activas.

:h1 res=15.Mostrar Memoria Libre (Funcin del Menu)
:i1.Mostrar Memoria Libre (Funcin del Menu)
Cuando esta funcin est marcada, la cantidad de memoria fsica libre ser
mostrada.  Para remover la marca, o volverla a poner, hay que seleccionar
esta funcin del menu.  La ventanilla se cambiar de tamao automticamente
para contener la lista de funciones actualmente activas.

:h1 res=16.Mostrar Memoria puesto al disco (Funcin del Menu)
:i1.Mostrar Memoria puesto al disco (Funcin del Menu)
Cuando esta funcin est marcada, la cantidad de disco ocupado por memoria
puesto al disco ser mostrada.  Para remover la marca, o volverla a poner, hay que seleccionar
esta funcin del menu.  La ventanilla se cambiar de tamao automticamente
para contener la lista de funciones actualmente activas.

:h1 res=17.Mostrar disco libre para memoria (Funcin del Menu)
:i1.Mostrar disco libre para memoria (Funcin del Menu)
Cuando esta funcin est marcada, la cantidad de disco que se podra ocupar
todava por memoria ser mostrada.  Para remover la marca, o volverla a poner, hay que seleccionar
esta funcin del menu.  La ventanilla se cambiar de tamao automticamente
para contener la lista de funciones actualmente activas.

:h1 res=18.Mostrar disco tomado por la impresora (Funcin del Menu)
:i1.Mostrar disco tomado por la impresora (Funcin del Menu)
Cuando esta funcin est marcada, la cantidad de disco ocupado por archivos puestos
para imprimirse ser mostrada.  Para remover la marca, o volverla a poner, hay que seleccionar
esta funcin del menu.  La ventanilla se cambiar de tamao automticamente
para contener la lista de funciones actualmente activas.

:h1 res=19.Mostrar Actividad (Funcin del Menu)
:i1.Mostrar Actividad (Funcin del Menu)
Cuando esta funcin est marcada, la actividad actual de la procesora ser
mostrada.  Para remover la marca, o volverla a poner, hay que seleccionar
esta funcin del menu.  La ventanilla se cambiar de tamao automticamente
para contener la lista de funciones actualmente activas.

:h1 res=20.Autor (Funcin del Menu)
:i1.Autor (Funcin del Menu)
Cuando se seleccione esta funcin, un dilogo en cuanto a quien escribi
este programa ser desplegado.

:h1 res=200.Autor (Dilogo)
:i1.Autor (Dilogo)
Este dilogo muestra el nombre del programa, su fecha, su smbolo y informacin sobre
los derechos del autor.  Para salir del dilogo, oprima la tecla de entrar o la tecla
de espacio, o de escape.  Tambin se puede oprimir el botn con el ratn.

:h1 res=53.Mostrar C&colon. libre (Funcin del Menu)
:i1.Mostrar C&colon. libre (Funcin del Menu)
Cuando esta funcin est marcada, se muestra la cantidad de espacio libre en
el mando de disco C&colon..  Hay una funcin para cada mando de disco detectado por
el programa al arrancarse.  Para remover la marca, o volverla a poner, hay que
seleccionar esta funcin del menu.  La ventanilla se cambiar de tamao
automticamente para contener la lista de funciones actualmente activas.

:h1 res=99.Ayuda de Teclas
:i1.Ayuda de Teclas
Las teclas sigientes han sido definidas por el programa:
:p.
:lm margin=10.
F1 - Ayuda
.br
F2 - Guardar Preferencias
.br
F3 - Salir
:p.

:euserdoc.
