*( MAKE_NDX.CMD--Create dBASE index file for dBASE data.)
CLS ; *( Save and set current R:BASE settings.)
SET VAR quote TEXT = quotes, vquote TEXT = (CVAL(.quote))
SET QUOTES = '
SET VAR vmess TEXT = (CVAL('MESSAGE'))
SET MESSAGE OFF
SET VAR verror TEXT = (CVAL('ERROR'))
SET ERROR MESSAGE OFF
SET VAR vbell TEXT = (CVAL('BELL')); SET BELL OFF
*( Choose the file-table you want to index.)
SET VAR vtable TEXT
OUTPUT temp_fil.$$$
WRITE 'TITLE'
WRITE 'POPUP |Choose the dBASE table to be indexed:|'
WRITE '#DBASE'  *( Undocumented feature )
OUTPUT SCREEN
CHOOSE vtable FROM temp_fil.$$$
ERASE temp_fil.$$$
IF vtable = '[Esc]' OR vtable IS NULL THEN
  GOTO done
ENDIF
*( Choose the column to be indexed.)
CLEAR VAR vcolname
SET VAR vcolname TEXT
CHOOSE vcolname FROM #COLUMNS IN .vtable CASCADE
IF vcolname = '[Esc]' OR vcolname IS NULL THEN
  GOTO done
ENDIF
REMOVE temp_tbl  *( Make temp table to hold column.)
PROJECT temp_tbl FROM &vtable USING &vcolname +
  WHERE COUNT = 0
OUTPUT temp_fil.$$$  *( Extract data type and length.)
LIST temp_tbl
OUTPUT SCREEN
REMOVE temp_tbl
*( Read the data from the file into a temporary table.)
CREATE TABLE temp_tbl (temp_col TEXT 80)
*( Load data.)
SET VAR vblank TEXT = (CVAL('BLANK'))
SET BLANK = !
LOAD,temp_tbl,FROM,temp_fil.$$$
SET,BLANK,=,.vblank
ERASE temp_fil.$$$
*( Extract the data type and length.)
CLEAR VAR vtemp, vtype, vlength
SET VAR vtemp TEXT = temp_col IN temp_tbl +
  WHERE COUNT = 6
SET VAR vtype TEXT = (SMOVE(.vtemp,25,7,.vtype,1))
IF VTYPE = 'TEXT' THEN
  SET VAR vlength TEXT = (SMOVE(.vtemp,32,2,.vlength,1))
  SET VAR vlength INTEGER
ENDIF
REMOVE temp_tbl
SET VAR vfile TEXT = (.vcolname + '.ndx')
*( Make sure this .NDX file doesn't already exist.)
SET ERROR VAR vstatus
COPY .vfile NUL
IF vstatus = 0 THEN
  DIALOG 'Enter a unique name for .NDX file: ' vfile vtemp 1
ENDIF
CLEAR VAR vtemp, vblank, vstatus
*( Create the new .NDX file using VCOLNAME for name, VTYPE)
*( for data type, VLENGTH for length for TEXT, and VFILE for)
*( file name. First, make the string needed for the initial block.)
SET VAR vtemp TEXT = (CHAR(0)), +
  vroot TEXT = (SFIL(.vtemp, 254)), vtemp = (CHAR(1)), +
  vroot = (SMOVE(.vtemp,1,1,.vroot,1)), vtemp = (CHAR(2)), +
  vroot = (SMOVE(.vtemp,1,1,.vroot,5)), +
  vroot = (SMOVE(.vcolname,1,18,.vroot,25)), vtemp = 'TEXT'
IF vtype <> .vtemp THEN
  SET VAR vtemp = (CHAR(1)), +
    vroot = (SMOVE(.vtemp,1,1,.vroot,17)), +
    vtemp = (CHAR(8)), vmax INTEGER = (502 / 12)
ELSE
  SET VAR vtemp = (CHAR(.vlength))
  SET VAR vmax INTEGER = (512 / (.vlength + 4))
ENDIF
SET VAR vroot = (SMOVE(.vtemp,1,1,.vroot,13)), +
  vtemp = (CHAR(.vmax)), +
  vroot = (SMOVE(.vtemp,1,1,.vroot,15)), +
  vtemp = (CHAR(16)), vroot = (SMOVE(.vtemp,1,1,.vroot,19)), +
  vtemp = (CHAR(1)), vroot = (SMOVE(.vtemp,1,1,.vroot,21))
*( Write it out.)
OUTPUT .vfile
SET WIDTH 256
WRITE .vroot
SET VAR vtemp = (CHAR(0)), vroot = (SFIL(.vtemp, 254))
WRITE .vroot
SET VAR vroot = (SFIL(.vtemp, 254))
WRITE .vroot
SET VAR vroot = (SFIL(.vtemp, 253))
WRITE .vroot
OUTPUT SCREEN
SET WIDTH 79
CLEAR VAR vroot, vtemp, vmax
*( Attach this index using the file-table.)
ATTACH .vtable USING .vfile
*( Load the index values using an undocumented feature.)
BUILD KEY FOR .vcolname IN .vtable RESET
LABEL done
*( Restore the original R:BASE settings.)
SET QUOTE = .vquote
SET MESSAGE .vmess
SET ERROR MESSAGE .verror
SET BELL .vbell
CLEAR VAR quote, vquote, vmess, verror, vbell


